﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Zoo.DAL.Models;
public class Sponsorship : BaseEntity
{
    [Required]
    [Column(TypeName = "decimal(10,2)")]
    public decimal MonthlyAmount { get; set; }

    [Required]
    public bool IsActive { get; set; }

    public Guid? AnimalId { get; set; }

    [ForeignKey(nameof(AnimalId))]
    public virtual Animal Animal { get; set; }

    public Guid? SponsorId { get; set; }

    [ForeignKey(nameof(SponsorId))]
    public virtual Sponsor Sponsor { get; set; }

}

