﻿using Zoo.DAL.Models;
using Zoo.DAL.Repository;

namespace Zoo.DAL.UnitOfWork
{
    public interface IUnitOfWork : IAsyncDisposable
    {
        public IGenericRepository<Animal> AnimalRepository { get; }

        public IGenericRepository<Zookeeper> ZookeeperRepository { get; }

        public IGenericRepository<Sponsor> SponsorRepository { get; }

        public IGenericRepository<Sponsorship> SponsorshipRepository { get; }

        public Task CommitAsync();
    }
}
